Skip to main content
POST
/
customers
/
{customerId}
/
verify-phone
Send a phone verification code to a customer
curl --request POST \
  --url https://api.lightspark.com/grid/2025-10-13/customers/{customerId}/verify-phone \
  --header 'Authorization: Basic <encoded-value>'
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lightspark.com/grid/2025-10-13/customers/{customerId}/verify-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
val client = OkHttpClient()

val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/customers/{customerId}/verify-phone")
.post(null)
.addHeader("Authorization", "Basic <encoded-value>")
.build()

val response = client.newCall(request).execute()
{
  "status": 401,
  "message": "<string>",
  "details": {}
}
{
"status": 404,
"message": "<string>",
"details": {}
}
{
"status": 409,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

customerId
string
required

The Grid customer ID to send a phone verification code to.

Response

Verification code sent.